state_align_search.h File Reference
`#include <sphinxbase/prim_type.h>`
`#include "pocketsphinx_internal.h"`
`#include "ps_alignment.h"`
`#include "hmm.h"`

Go to the source code of this file.

## Data Structures

struct | state_align_hist_s
| History structure. More...
struct | state_align_search_s
| Phone loop search structure. More...

## Typedefs

typedef struct state_align_hist_s | state_align_hist_t
typedef struct state_align_search_s | state_align_search_t

## Functions

ps_search_t * | state_align_search_init (const char *name, cmd_ln_t *config, acmod_t *acmod, ps_alignment_t *al)

## Detailed Description

State (and phone and word) alignment search.

Definition in file state_align_search.h.